﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FE_FX.InvoiceOne {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="InvoiceOne.TimbreCFDISoap")]
    public interface TimbreCFDISoap {
        
        // CODEGEN: Generating message contract since message ObtenerCFDIRequest has headers
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ObtenerCFDI", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.ObtenerCFDIResponse ObtenerCFDI(FE_FX.InvoiceOne.ObtenerCFDIRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ObtenerCFDI", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerCFDIResponse> ObtenerCFDIAsync(FE_FX.InvoiceOne.ObtenerCFDIRequest request);
        
        // CODEGEN: Generating message contract since message ObtenerTFDRequest has headers
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ObtenerTFD", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.ObtenerTFDResponse ObtenerTFD(FE_FX.InvoiceOne.ObtenerTFDRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ObtenerTFD", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerTFDResponse> ObtenerTFDAsync(FE_FX.InvoiceOne.ObtenerTFDRequest request);
        
        // CODEGEN: Generating message contract since message ObtenerCFDIPruebaRequest has headers
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ObtenerCFDIPrueba", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.ObtenerCFDIPruebaResponse ObtenerCFDIPrueba(FE_FX.InvoiceOne.ObtenerCFDIPruebaRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ObtenerCFDIPrueba", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerCFDIPruebaResponse> ObtenerCFDIPruebaAsync(FE_FX.InvoiceOne.ObtenerCFDIPruebaRequest request);
        
        // CODEGEN: Generating message contract since message ObtenerTFDPruebaRequest has headers
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ObtenerTFDPrueba", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.ObtenerTFDPruebaResponse ObtenerTFDPrueba(FE_FX.InvoiceOne.ObtenerTFDPruebaRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ObtenerTFDPrueba", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerTFDPruebaResponse> ObtenerTFDPruebaAsync(FE_FX.InvoiceOne.ObtenerTFDPruebaRequest request);
        
        // CODEGEN: Generating message contract since message cancelaCFDIRequest has headers
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/cancelaCFDI", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.cancelaCFDIResponse cancelaCFDI(FE_FX.InvoiceOne.cancelaCFDIRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/cancelaCFDI", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.cancelaCFDIResponse> cancelaCFDIAsync(FE_FX.InvoiceOne.cancelaCFDIRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/cancelaCFDI_PEM", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.IOAcuseCancelacion cancelaCFDI_PEM(string nombreUsuario, string contrasena, string rfcEmisor, System.Guid[] listaUuid, string cerBase64, string keyPemBase64);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/cancelaCFDI_PEM", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.IOAcuseCancelacion> cancelaCFDI_PEMAsync(string nombreUsuario, string contrasena, string rfcEmisor, System.Guid[] listaUuid, string cerBase64, string keyPemBase64);
        
        // CODEGEN: Generating message contract since message cancelaCFDIPruebasRequest has headers
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/cancelaCFDIPruebas", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.cancelaCFDIPruebasResponse cancelaCFDIPruebas(FE_FX.InvoiceOne.cancelaCFDIPruebasRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/cancelaCFDIPruebas", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.cancelaCFDIPruebasResponse> cancelaCFDIPruebasAsync(FE_FX.InvoiceOne.cancelaCFDIPruebasRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/obtieneNumeroCertificadoPAC", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string obtieneNumeroCertificadoPAC();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/obtieneNumeroCertificadoPAC", ReplyAction="*")]
        System.Threading.Tasks.Task<string> obtieneNumeroCertificadoPACAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/obtieneFecha", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string obtieneFecha();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/obtieneFecha", ReplyAction="*")]
        System.Threading.Tasks.Task<string> obtieneFechaAsync();
        
        // CODEGEN: Parameter 'id_cliente' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/recuperaComprobanteXML", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.recuperaComprobanteXMLResponse recuperaComprobanteXML(FE_FX.InvoiceOne.recuperaComprobanteXMLRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/recuperaComprobanteXML", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.recuperaComprobanteXMLResponse> recuperaComprobanteXMLAsync(FE_FX.InvoiceOne.recuperaComprobanteXMLRequest request);
        
        // CODEGEN: Parameter 'id_cliente' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/obtenerCFDIconReferencia", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.obtenerCFDIconReferenciaResponse obtenerCFDIconReferencia(FE_FX.InvoiceOne.obtenerCFDIconReferenciaRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/obtenerCFDIconReferencia", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.obtenerCFDIconReferenciaResponse> obtenerCFDIconReferenciaAsync(FE_FX.InvoiceOne.obtenerCFDIconReferenciaRequest request);
        
        // CODEGEN: Parameter 'Id_Cliente_Integrador' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/obtenerInfoIntegrador", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.obtenerInfoIntegradorResponse obtenerInfoIntegrador(FE_FX.InvoiceOne.obtenerInfoIntegradorRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/obtenerInfoIntegrador", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.obtenerInfoIntegradorResponse> obtenerInfoIntegradorAsync(FE_FX.InvoiceOne.obtenerInfoIntegradorRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/cancelaSAT", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.IOAcuseCancelacion cancelaSAT(string usuario, string contrasena, string xmlPeticionSAT);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/cancelaSAT", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.IOAcuseCancelacion> cancelaSATAsync(string usuario, string contrasena, string xmlPeticionSAT);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/cancelaSATPruebas", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        FE_FX.InvoiceOne.IOAcuseCancelacion cancelaSATPruebas(string usuario, string contrasena, string xmlPeticionSAT);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/cancelaSATPruebas", ReplyAction="*")]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.IOAcuseCancelacion> cancelaSATPruebasAsync(string usuario, string contrasena, string xmlPeticionSAT);
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class SoapHeaderAplicativoGratuito : object, System.ComponentModel.INotifyPropertyChanged {
        
        private System.Guid id_TicketAplicativoGratuitoField;
        
        private System.Guid id_TokenField;
        
        private long fechaCreacionField;
        
        private long fechaExpiraField;
        
        private AppInfoCfdi infoCfdiField;
        
        private System.Xml.XmlAttribute[] anyAttrField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public System.Guid Id_TicketAplicativoGratuito {
            get {
                return this.id_TicketAplicativoGratuitoField;
            }
            set {
                this.id_TicketAplicativoGratuitoField = value;
                this.RaisePropertyChanged("Id_TicketAplicativoGratuito");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public System.Guid Id_Token {
            get {
                return this.id_TokenField;
            }
            set {
                this.id_TokenField = value;
                this.RaisePropertyChanged("Id_Token");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public long FechaCreacion {
            get {
                return this.fechaCreacionField;
            }
            set {
                this.fechaCreacionField = value;
                this.RaisePropertyChanged("FechaCreacion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public long FechaExpira {
            get {
                return this.fechaExpiraField;
            }
            set {
                this.fechaExpiraField = value;
                this.RaisePropertyChanged("FechaExpira");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public AppInfoCfdi InfoCfdi {
            get {
                return this.infoCfdiField;
            }
            set {
                this.infoCfdiField = value;
                this.RaisePropertyChanged("InfoCfdi");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAnyAttributeAttribute()]
        public System.Xml.XmlAttribute[] AnyAttr {
            get {
                return this.anyAttrField;
            }
            set {
                this.anyAttrField = value;
                this.RaisePropertyChanged("AnyAttr");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class AppInfoCfdi : object, System.ComponentModel.INotifyPropertyChanged {
        
        private System.Guid id_Num_EmisorField;
        
        private System.Nullable<System.Guid> id_Num_ReceptorField;
        
        private System.Nullable<System.Guid> id_UsuarioField;
        
        private System.Nullable<System.Guid> id_OficinaField;
        
        private string importeLetraField;
        
        private int id_TipoFormaPagoField;
        
        private System.Nullable<System.Guid> id_FolioField;
        
        private int id_TipoCFDIField;
        
        private int id_MonedaField;
        
        private bool bit_PagadaField;
        
        private System.Nullable<int> folioField;
        
        private string formaPagoTextoField;
        
        private string comentarioConceptoField;
        
        private string id_tickets_ListaField;
        
        private string id_tickets_HASHField;
        
        private string numeroClienteField;
        
        private string numeroOrdenField;
        
        private string numeroProveedorField;
        
        private string nombreAgenteVentasField;
        
        private string nombreCompradorField;
        
        private string nombreComercialField;
        
        private string observacionesField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public System.Guid Id_Num_Emisor {
            get {
                return this.id_Num_EmisorField;
            }
            set {
                this.id_Num_EmisorField = value;
                this.RaisePropertyChanged("Id_Num_Emisor");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=1)]
        public System.Nullable<System.Guid> Id_Num_Receptor {
            get {
                return this.id_Num_ReceptorField;
            }
            set {
                this.id_Num_ReceptorField = value;
                this.RaisePropertyChanged("Id_Num_Receptor");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=2)]
        public System.Nullable<System.Guid> Id_Usuario {
            get {
                return this.id_UsuarioField;
            }
            set {
                this.id_UsuarioField = value;
                this.RaisePropertyChanged("Id_Usuario");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=3)]
        public System.Nullable<System.Guid> Id_Oficina {
            get {
                return this.id_OficinaField;
            }
            set {
                this.id_OficinaField = value;
                this.RaisePropertyChanged("Id_Oficina");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string ImporteLetra {
            get {
                return this.importeLetraField;
            }
            set {
                this.importeLetraField = value;
                this.RaisePropertyChanged("ImporteLetra");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=5)]
        public int Id_TipoFormaPago {
            get {
                return this.id_TipoFormaPagoField;
            }
            set {
                this.id_TipoFormaPagoField = value;
                this.RaisePropertyChanged("Id_TipoFormaPago");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=6)]
        public System.Nullable<System.Guid> Id_Folio {
            get {
                return this.id_FolioField;
            }
            set {
                this.id_FolioField = value;
                this.RaisePropertyChanged("Id_Folio");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=7)]
        public int Id_TipoCFDI {
            get {
                return this.id_TipoCFDIField;
            }
            set {
                this.id_TipoCFDIField = value;
                this.RaisePropertyChanged("Id_TipoCFDI");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=8)]
        public int Id_Moneda {
            get {
                return this.id_MonedaField;
            }
            set {
                this.id_MonedaField = value;
                this.RaisePropertyChanged("Id_Moneda");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=9)]
        public bool Bit_Pagada {
            get {
                return this.bit_PagadaField;
            }
            set {
                this.bit_PagadaField = value;
                this.RaisePropertyChanged("Bit_Pagada");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=10)]
        public System.Nullable<int> Folio {
            get {
                return this.folioField;
            }
            set {
                this.folioField = value;
                this.RaisePropertyChanged("Folio");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=11)]
        public string FormaPagoTexto {
            get {
                return this.formaPagoTextoField;
            }
            set {
                this.formaPagoTextoField = value;
                this.RaisePropertyChanged("FormaPagoTexto");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=12)]
        public string ComentarioConcepto {
            get {
                return this.comentarioConceptoField;
            }
            set {
                this.comentarioConceptoField = value;
                this.RaisePropertyChanged("ComentarioConcepto");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=13)]
        public string Id_tickets_Lista {
            get {
                return this.id_tickets_ListaField;
            }
            set {
                this.id_tickets_ListaField = value;
                this.RaisePropertyChanged("Id_tickets_Lista");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=14)]
        public string Id_tickets_HASH {
            get {
                return this.id_tickets_HASHField;
            }
            set {
                this.id_tickets_HASHField = value;
                this.RaisePropertyChanged("Id_tickets_HASH");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=15)]
        public string NumeroCliente {
            get {
                return this.numeroClienteField;
            }
            set {
                this.numeroClienteField = value;
                this.RaisePropertyChanged("NumeroCliente");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=16)]
        public string NumeroOrden {
            get {
                return this.numeroOrdenField;
            }
            set {
                this.numeroOrdenField = value;
                this.RaisePropertyChanged("NumeroOrden");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=17)]
        public string NumeroProveedor {
            get {
                return this.numeroProveedorField;
            }
            set {
                this.numeroProveedorField = value;
                this.RaisePropertyChanged("NumeroProveedor");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=18)]
        public string NombreAgenteVentas {
            get {
                return this.nombreAgenteVentasField;
            }
            set {
                this.nombreAgenteVentasField = value;
                this.RaisePropertyChanged("NombreAgenteVentas");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=19)]
        public string NombreComprador {
            get {
                return this.nombreCompradorField;
            }
            set {
                this.nombreCompradorField = value;
                this.RaisePropertyChanged("NombreComprador");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=20)]
        public string NombreComercial {
            get {
                return this.nombreComercialField;
            }
            set {
                this.nombreComercialField = value;
                this.RaisePropertyChanged("NombreComercial");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=21)]
        public string Observaciones {
            get {
                return this.observacionesField;
            }
            set {
                this.observacionesField = value;
                this.RaisePropertyChanged("Observaciones");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class InfoIntegrador : object, System.ComponentModel.INotifyPropertyChanged {
        
        private int produccion_FoliosTotalField;
        
        private int produccion_FoliosConsumidosField;
        
        private int pruebas_FoliosTotalField;
        
        private int pruebas_FoliosConsumidosField;
        
        private string fechaConsultaField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public int Produccion_FoliosTotal {
            get {
                return this.produccion_FoliosTotalField;
            }
            set {
                this.produccion_FoliosTotalField = value;
                this.RaisePropertyChanged("Produccion_FoliosTotal");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public int Produccion_FoliosConsumidos {
            get {
                return this.produccion_FoliosConsumidosField;
            }
            set {
                this.produccion_FoliosConsumidosField = value;
                this.RaisePropertyChanged("Produccion_FoliosConsumidos");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public int Pruebas_FoliosTotal {
            get {
                return this.pruebas_FoliosTotalField;
            }
            set {
                this.pruebas_FoliosTotalField = value;
                this.RaisePropertyChanged("Pruebas_FoliosTotal");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public int Pruebas_FoliosConsumidos {
            get {
                return this.pruebas_FoliosConsumidosField;
            }
            set {
                this.pruebas_FoliosConsumidosField = value;
                this.RaisePropertyChanged("Pruebas_FoliosConsumidos");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string FechaConsulta {
            get {
                return this.fechaConsultaField;
            }
            set {
                this.fechaConsultaField = value;
                this.RaisePropertyChanged("FechaConsulta");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class ComprobanteCancelado : object, System.ComponentModel.INotifyPropertyChanged {
        
        private System.Guid uUIDField;
        
        private EnumCancelado canceladoField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public System.Guid UUID {
            get {
                return this.uUIDField;
            }
            set {
                this.uUIDField = value;
                this.RaisePropertyChanged("UUID");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public EnumCancelado Cancelado {
            get {
                return this.canceladoField;
            }
            set {
                this.canceladoField = value;
                this.RaisePropertyChanged("Cancelado");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public enum EnumCancelado {
        
        /// <remarks/>
        NoValido,
        
        /// <remarks/>
        Cancelado,
        
        /// <remarks/>
        PreviamenteCancelado,
        
        /// <remarks/>
        NoCorrespondeAlEmisor,
        
        /// <remarks/>
        NoAplicableParaCancelacion,
        
        /// <remarks/>
        UUIDNoExiste,
        
        /// <remarks/>
        NoIdentificado206,
        
        /// <remarks/>
        NoIdentificado207,
        
        /// <remarks/>
        NoIdentificado208,
        
        /// <remarks/>
        NoIdentificado209,
        
        /// <remarks/>
        NoIdentificado210,
        
        /// <remarks/>
        NoVerificado,
        
        /// <remarks/>
        UsuarioNoExiste,
        
        /// <remarks/>
        NoCumpleConEstandarXSD,
        
        /// <remarks/>
        SelloDelEmisorInvalido,
        
        /// <remarks/>
        CSDEmisorNoCorrespondeRFC,
        
        /// <remarks/>
        CSDEmisorRevocado,
        
        /// <remarks/>
        FechaEmisionFueraDeVigencia,
        
        /// <remarks/>
        CSDesFIEL,
        
        /// <remarks/>
        TimbrePrevio,
        
        /// <remarks/>
        CSDNoValidoPorSAT,
        
        /// <remarks/>
        FechaMayor72Horas,
        
        /// <remarks/>
        RFCSinValidesDeObligacion,
        
        /// <remarks/>
        FechaInferiorAEnero,
        
        /// <remarks/>
        RetencionCancelado,
        
        /// <remarks/>
        RetencionPreviamenteCancelado,
        
        /// <remarks/>
        RetencionNoCorrespondeEmisor,
        
        /// <remarks/>
        RetencionNoExiste,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class IOAcuseCancelacion : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string xmlAcuseField;
        
        private ComprobanteCancelado[] comprobantesCanceladoField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string XmlAcuse {
            get {
                return this.xmlAcuseField;
            }
            set {
                this.xmlAcuseField = value;
                this.RaisePropertyChanged("XmlAcuse");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=1)]
        public ComprobanteCancelado[] ComprobantesCancelado {
            get {
                return this.comprobantesCanceladoField;
            }
            set {
                this.comprobantesCanceladoField = value;
                this.RaisePropertyChanged("ComprobantesCancelado");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class IOAcuseTimbradoCfdi : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string xmlField;
        
        private string xmlAcuseField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string Xml {
            get {
                return this.xmlField;
            }
            set {
                this.xmlField = value;
                this.RaisePropertyChanged("Xml");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string XmlAcuse {
            get {
                return this.xmlAcuseField;
            }
            set {
                this.xmlAcuseField = value;
                this.RaisePropertyChanged("XmlAcuse");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ObtenerCFDI", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class ObtenerCFDIRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string nombreUsuario;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string contrasena;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        public string xmlComprobante;
        
        public ObtenerCFDIRequest() {
        }
        
        public ObtenerCFDIRequest(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string xmlComprobante) {
            this.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            this.nombreUsuario = nombreUsuario;
            this.contrasena = contrasena;
            this.xmlComprobante = xmlComprobante;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ObtenerCFDIResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class ObtenerCFDIResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerCFDIResult;
        
        public ObtenerCFDIResponse() {
        }
        
        public ObtenerCFDIResponse(FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerCFDIResult) {
            this.ObtenerCFDIResult = ObtenerCFDIResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ObtenerTFD", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class ObtenerTFDRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string nombreUsuario;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string contrasena;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        public string xmlComprobante;
        
        public ObtenerTFDRequest() {
        }
        
        public ObtenerTFDRequest(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string xmlComprobante) {
            this.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            this.nombreUsuario = nombreUsuario;
            this.contrasena = contrasena;
            this.xmlComprobante = xmlComprobante;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ObtenerTFDResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class ObtenerTFDResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerTFDResult;
        
        public ObtenerTFDResponse() {
        }
        
        public ObtenerTFDResponse(FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerTFDResult) {
            this.ObtenerTFDResult = ObtenerTFDResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ObtenerCFDIPrueba", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class ObtenerCFDIPruebaRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string usuario;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string contrasena;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        public string xmlComprobante;
        
        public ObtenerCFDIPruebaRequest() {
        }
        
        public ObtenerCFDIPruebaRequest(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string usuario, string contrasena, string xmlComprobante) {
            this.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            this.usuario = usuario;
            this.contrasena = contrasena;
            this.xmlComprobante = xmlComprobante;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ObtenerCFDIPruebaResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class ObtenerCFDIPruebaResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerCFDIPruebaResult;
        
        public ObtenerCFDIPruebaResponse() {
        }
        
        public ObtenerCFDIPruebaResponse(FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerCFDIPruebaResult) {
            this.ObtenerCFDIPruebaResult = ObtenerCFDIPruebaResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ObtenerTFDPrueba", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class ObtenerTFDPruebaRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string usuario;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string contrasena;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        public string xmlComprobante;
        
        public ObtenerTFDPruebaRequest() {
        }
        
        public ObtenerTFDPruebaRequest(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string usuario, string contrasena, string xmlComprobante) {
            this.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            this.usuario = usuario;
            this.contrasena = contrasena;
            this.xmlComprobante = xmlComprobante;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ObtenerTFDPruebaResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class ObtenerTFDPruebaResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerTFDPruebaResult;
        
        public ObtenerTFDPruebaResponse() {
        }
        
        public ObtenerTFDPruebaResponse(FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerTFDPruebaResult) {
            this.ObtenerTFDPruebaResult = ObtenerTFDPruebaResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDI", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class cancelaCFDIRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string nombreUsuario;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string contrasena;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        public string rfcEmisor;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=3)]
        public System.Guid[] listaUuid;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=4)]
        public string pfxBase64;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=5)]
        public string contrasenaPfx;
        
        public cancelaCFDIRequest() {
        }
        
        public cancelaCFDIRequest(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string rfcEmisor, System.Guid[] listaUuid, string pfxBase64, string contrasenaPfx) {
            this.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            this.nombreUsuario = nombreUsuario;
            this.contrasena = contrasena;
            this.rfcEmisor = rfcEmisor;
            this.listaUuid = listaUuid;
            this.pfxBase64 = pfxBase64;
            this.contrasenaPfx = contrasenaPfx;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDIResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class cancelaCFDIResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public FE_FX.InvoiceOne.IOAcuseCancelacion cancelaCFDIResult;
        
        public cancelaCFDIResponse() {
        }
        
        public cancelaCFDIResponse(FE_FX.InvoiceOne.IOAcuseCancelacion cancelaCFDIResult) {
            this.cancelaCFDIResult = cancelaCFDIResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDIPruebas", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class cancelaCFDIPruebasRequest {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="http://tempuri.org/")]
        public FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string nombreUsuario;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string contrasena;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        public string rfcEmisor;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=3)]
        public System.Guid[] listaUuid;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=4)]
        public string pfxBase64;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=5)]
        public string contrasenaPfx;
        
        public cancelaCFDIPruebasRequest() {
        }
        
        public cancelaCFDIPruebasRequest(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string rfcEmisor, System.Guid[] listaUuid, string pfxBase64, string contrasenaPfx) {
            this.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            this.nombreUsuario = nombreUsuario;
            this.contrasena = contrasena;
            this.rfcEmisor = rfcEmisor;
            this.listaUuid = listaUuid;
            this.pfxBase64 = pfxBase64;
            this.contrasenaPfx = contrasenaPfx;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDIPruebasResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class cancelaCFDIPruebasResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public FE_FX.InvoiceOne.IOAcuseCancelacion cancelaCFDIPruebasResult;
        
        public cancelaCFDIPruebasResponse() {
        }
        
        public cancelaCFDIPruebasResponse(FE_FX.InvoiceOne.IOAcuseCancelacion cancelaCFDIPruebasResult) {
            this.cancelaCFDIPruebasResult = cancelaCFDIPruebasResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="recuperaComprobanteXML", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class recuperaComprobanteXMLRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string nombreUsuario;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string contrasena;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        public string xml;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=3)]
        public string referencia;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=4)]
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true)]
        public System.Nullable<System.Guid> id_cliente;
        
        public recuperaComprobanteXMLRequest() {
        }
        
        public recuperaComprobanteXMLRequest(string nombreUsuario, string contrasena, string xml, string referencia, System.Nullable<System.Guid> id_cliente) {
            this.nombreUsuario = nombreUsuario;
            this.contrasena = contrasena;
            this.xml = xml;
            this.referencia = referencia;
            this.id_cliente = id_cliente;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="recuperaComprobanteXMLResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class recuperaComprobanteXMLResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi recuperaComprobanteXMLResult;
        
        public recuperaComprobanteXMLResponse() {
        }
        
        public recuperaComprobanteXMLResponse(FE_FX.InvoiceOne.IOAcuseTimbradoCfdi recuperaComprobanteXMLResult) {
            this.recuperaComprobanteXMLResult = recuperaComprobanteXMLResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="obtenerCFDIconReferencia", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class obtenerCFDIconReferenciaRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string nombreUsuario;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string contrasena;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        public string xmlComprobante;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=3)]
        public string referencia;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=4)]
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true)]
        public System.Nullable<System.Guid> id_cliente;
        
        public obtenerCFDIconReferenciaRequest() {
        }
        
        public obtenerCFDIconReferenciaRequest(string nombreUsuario, string contrasena, string xmlComprobante, string referencia, System.Nullable<System.Guid> id_cliente) {
            this.nombreUsuario = nombreUsuario;
            this.contrasena = contrasena;
            this.xmlComprobante = xmlComprobante;
            this.referencia = referencia;
            this.id_cliente = id_cliente;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="obtenerCFDIconReferenciaResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class obtenerCFDIconReferenciaResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi obtenerCFDIconReferenciaResult;
        
        public obtenerCFDIconReferenciaResponse() {
        }
        
        public obtenerCFDIconReferenciaResponse(FE_FX.InvoiceOne.IOAcuseTimbradoCfdi obtenerCFDIconReferenciaResult) {
            this.obtenerCFDIconReferenciaResult = obtenerCFDIconReferenciaResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="obtenerInfoIntegrador", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class obtenerInfoIntegradorRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public string nombreUsuario;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=1)]
        public string contrasena;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true)]
        public System.Nullable<System.Guid> Id_Cliente_Integrador;
        
        public obtenerInfoIntegradorRequest() {
        }
        
        public obtenerInfoIntegradorRequest(string nombreUsuario, string contrasena, System.Nullable<System.Guid> Id_Cliente_Integrador) {
            this.nombreUsuario = nombreUsuario;
            this.contrasena = contrasena;
            this.Id_Cliente_Integrador = Id_Cliente_Integrador;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="obtenerInfoIntegradorResponse", WrapperNamespace="http://tempuri.org/", IsWrapped=true)]
    public partial class obtenerInfoIntegradorResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public FE_FX.InvoiceOne.InfoIntegrador obtenerInfoIntegradorResult;
        
        public obtenerInfoIntegradorResponse() {
        }
        
        public obtenerInfoIntegradorResponse(FE_FX.InvoiceOne.InfoIntegrador obtenerInfoIntegradorResult) {
            this.obtenerInfoIntegradorResult = obtenerInfoIntegradorResult;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface TimbreCFDISoapChannel : FE_FX.InvoiceOne.TimbreCFDISoap, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class TimbreCFDISoapClient : System.ServiceModel.ClientBase<FE_FX.InvoiceOne.TimbreCFDISoap>, FE_FX.InvoiceOne.TimbreCFDISoap {
        
        public TimbreCFDISoapClient() {
        }
        
        public TimbreCFDISoapClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public TimbreCFDISoapClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public TimbreCFDISoapClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public TimbreCFDISoapClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.InvoiceOne.ObtenerCFDIResponse FE_FX.InvoiceOne.TimbreCFDISoap.ObtenerCFDI(FE_FX.InvoiceOne.ObtenerCFDIRequest request) {
            return base.Channel.ObtenerCFDI(request);
        }
        
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerCFDI(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string xmlComprobante) {
            FE_FX.InvoiceOne.ObtenerCFDIRequest inValue = new FE_FX.InvoiceOne.ObtenerCFDIRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.xmlComprobante = xmlComprobante;
            FE_FX.InvoiceOne.ObtenerCFDIResponse retVal = ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).ObtenerCFDI(inValue);
            return retVal.ObtenerCFDIResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerCFDIResponse> FE_FX.InvoiceOne.TimbreCFDISoap.ObtenerCFDIAsync(FE_FX.InvoiceOne.ObtenerCFDIRequest request) {
            return base.Channel.ObtenerCFDIAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerCFDIResponse> ObtenerCFDIAsync(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string xmlComprobante) {
            FE_FX.InvoiceOne.ObtenerCFDIRequest inValue = new FE_FX.InvoiceOne.ObtenerCFDIRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.xmlComprobante = xmlComprobante;
            return ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).ObtenerCFDIAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.InvoiceOne.ObtenerTFDResponse FE_FX.InvoiceOne.TimbreCFDISoap.ObtenerTFD(FE_FX.InvoiceOne.ObtenerTFDRequest request) {
            return base.Channel.ObtenerTFD(request);
        }
        
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerTFD(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string xmlComprobante) {
            FE_FX.InvoiceOne.ObtenerTFDRequest inValue = new FE_FX.InvoiceOne.ObtenerTFDRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.xmlComprobante = xmlComprobante;
            FE_FX.InvoiceOne.ObtenerTFDResponse retVal = ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).ObtenerTFD(inValue);
            return retVal.ObtenerTFDResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerTFDResponse> FE_FX.InvoiceOne.TimbreCFDISoap.ObtenerTFDAsync(FE_FX.InvoiceOne.ObtenerTFDRequest request) {
            return base.Channel.ObtenerTFDAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerTFDResponse> ObtenerTFDAsync(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string xmlComprobante) {
            FE_FX.InvoiceOne.ObtenerTFDRequest inValue = new FE_FX.InvoiceOne.ObtenerTFDRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.xmlComprobante = xmlComprobante;
            return ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).ObtenerTFDAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.InvoiceOne.ObtenerCFDIPruebaResponse FE_FX.InvoiceOne.TimbreCFDISoap.ObtenerCFDIPrueba(FE_FX.InvoiceOne.ObtenerCFDIPruebaRequest request) {
            return base.Channel.ObtenerCFDIPrueba(request);
        }
        
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerCFDIPrueba(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string usuario, string contrasena, string xmlComprobante) {
            FE_FX.InvoiceOne.ObtenerCFDIPruebaRequest inValue = new FE_FX.InvoiceOne.ObtenerCFDIPruebaRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.usuario = usuario;
            inValue.contrasena = contrasena;
            inValue.xmlComprobante = xmlComprobante;
            FE_FX.InvoiceOne.ObtenerCFDIPruebaResponse retVal = ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).ObtenerCFDIPrueba(inValue);
            return retVal.ObtenerCFDIPruebaResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerCFDIPruebaResponse> FE_FX.InvoiceOne.TimbreCFDISoap.ObtenerCFDIPruebaAsync(FE_FX.InvoiceOne.ObtenerCFDIPruebaRequest request) {
            return base.Channel.ObtenerCFDIPruebaAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerCFDIPruebaResponse> ObtenerCFDIPruebaAsync(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string usuario, string contrasena, string xmlComprobante) {
            FE_FX.InvoiceOne.ObtenerCFDIPruebaRequest inValue = new FE_FX.InvoiceOne.ObtenerCFDIPruebaRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.usuario = usuario;
            inValue.contrasena = contrasena;
            inValue.xmlComprobante = xmlComprobante;
            return ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).ObtenerCFDIPruebaAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.InvoiceOne.ObtenerTFDPruebaResponse FE_FX.InvoiceOne.TimbreCFDISoap.ObtenerTFDPrueba(FE_FX.InvoiceOne.ObtenerTFDPruebaRequest request) {
            return base.Channel.ObtenerTFDPrueba(request);
        }
        
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi ObtenerTFDPrueba(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string usuario, string contrasena, string xmlComprobante) {
            FE_FX.InvoiceOne.ObtenerTFDPruebaRequest inValue = new FE_FX.InvoiceOne.ObtenerTFDPruebaRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.usuario = usuario;
            inValue.contrasena = contrasena;
            inValue.xmlComprobante = xmlComprobante;
            FE_FX.InvoiceOne.ObtenerTFDPruebaResponse retVal = ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).ObtenerTFDPrueba(inValue);
            return retVal.ObtenerTFDPruebaResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerTFDPruebaResponse> FE_FX.InvoiceOne.TimbreCFDISoap.ObtenerTFDPruebaAsync(FE_FX.InvoiceOne.ObtenerTFDPruebaRequest request) {
            return base.Channel.ObtenerTFDPruebaAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.ObtenerTFDPruebaResponse> ObtenerTFDPruebaAsync(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string usuario, string contrasena, string xmlComprobante) {
            FE_FX.InvoiceOne.ObtenerTFDPruebaRequest inValue = new FE_FX.InvoiceOne.ObtenerTFDPruebaRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.usuario = usuario;
            inValue.contrasena = contrasena;
            inValue.xmlComprobante = xmlComprobante;
            return ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).ObtenerTFDPruebaAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.InvoiceOne.cancelaCFDIResponse FE_FX.InvoiceOne.TimbreCFDISoap.cancelaCFDI(FE_FX.InvoiceOne.cancelaCFDIRequest request) {
            return base.Channel.cancelaCFDI(request);
        }
        
        public FE_FX.InvoiceOne.IOAcuseCancelacion cancelaCFDI(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string rfcEmisor, System.Guid[] listaUuid, string pfxBase64, string contrasenaPfx) {
            FE_FX.InvoiceOne.cancelaCFDIRequest inValue = new FE_FX.InvoiceOne.cancelaCFDIRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.rfcEmisor = rfcEmisor;
            inValue.listaUuid = listaUuid;
            inValue.pfxBase64 = pfxBase64;
            inValue.contrasenaPfx = contrasenaPfx;
            FE_FX.InvoiceOne.cancelaCFDIResponse retVal = ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).cancelaCFDI(inValue);
            return retVal.cancelaCFDIResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.cancelaCFDIResponse> FE_FX.InvoiceOne.TimbreCFDISoap.cancelaCFDIAsync(FE_FX.InvoiceOne.cancelaCFDIRequest request) {
            return base.Channel.cancelaCFDIAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.cancelaCFDIResponse> cancelaCFDIAsync(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string rfcEmisor, System.Guid[] listaUuid, string pfxBase64, string contrasenaPfx) {
            FE_FX.InvoiceOne.cancelaCFDIRequest inValue = new FE_FX.InvoiceOne.cancelaCFDIRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.rfcEmisor = rfcEmisor;
            inValue.listaUuid = listaUuid;
            inValue.pfxBase64 = pfxBase64;
            inValue.contrasenaPfx = contrasenaPfx;
            return ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).cancelaCFDIAsync(inValue);
        }
        
        public FE_FX.InvoiceOne.IOAcuseCancelacion cancelaCFDI_PEM(string nombreUsuario, string contrasena, string rfcEmisor, System.Guid[] listaUuid, string cerBase64, string keyPemBase64) {
            return base.Channel.cancelaCFDI_PEM(nombreUsuario, contrasena, rfcEmisor, listaUuid, cerBase64, keyPemBase64);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.IOAcuseCancelacion> cancelaCFDI_PEMAsync(string nombreUsuario, string contrasena, string rfcEmisor, System.Guid[] listaUuid, string cerBase64, string keyPemBase64) {
            return base.Channel.cancelaCFDI_PEMAsync(nombreUsuario, contrasena, rfcEmisor, listaUuid, cerBase64, keyPemBase64);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.InvoiceOne.cancelaCFDIPruebasResponse FE_FX.InvoiceOne.TimbreCFDISoap.cancelaCFDIPruebas(FE_FX.InvoiceOne.cancelaCFDIPruebasRequest request) {
            return base.Channel.cancelaCFDIPruebas(request);
        }
        
        public FE_FX.InvoiceOne.IOAcuseCancelacion cancelaCFDIPruebas(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string rfcEmisor, System.Guid[] listaUuid, string pfxBase64, string contrasenaPfx) {
            FE_FX.InvoiceOne.cancelaCFDIPruebasRequest inValue = new FE_FX.InvoiceOne.cancelaCFDIPruebasRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.rfcEmisor = rfcEmisor;
            inValue.listaUuid = listaUuid;
            inValue.pfxBase64 = pfxBase64;
            inValue.contrasenaPfx = contrasenaPfx;
            FE_FX.InvoiceOne.cancelaCFDIPruebasResponse retVal = ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).cancelaCFDIPruebas(inValue);
            return retVal.cancelaCFDIPruebasResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.cancelaCFDIPruebasResponse> FE_FX.InvoiceOne.TimbreCFDISoap.cancelaCFDIPruebasAsync(FE_FX.InvoiceOne.cancelaCFDIPruebasRequest request) {
            return base.Channel.cancelaCFDIPruebasAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.cancelaCFDIPruebasResponse> cancelaCFDIPruebasAsync(FE_FX.InvoiceOne.SoapHeaderAplicativoGratuito SoapHeaderAplicativoGratuito, string nombreUsuario, string contrasena, string rfcEmisor, System.Guid[] listaUuid, string pfxBase64, string contrasenaPfx) {
            FE_FX.InvoiceOne.cancelaCFDIPruebasRequest inValue = new FE_FX.InvoiceOne.cancelaCFDIPruebasRequest();
            inValue.SoapHeaderAplicativoGratuito = SoapHeaderAplicativoGratuito;
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.rfcEmisor = rfcEmisor;
            inValue.listaUuid = listaUuid;
            inValue.pfxBase64 = pfxBase64;
            inValue.contrasenaPfx = contrasenaPfx;
            return ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).cancelaCFDIPruebasAsync(inValue);
        }
        
        public string obtieneNumeroCertificadoPAC() {
            return base.Channel.obtieneNumeroCertificadoPAC();
        }
        
        public System.Threading.Tasks.Task<string> obtieneNumeroCertificadoPACAsync() {
            return base.Channel.obtieneNumeroCertificadoPACAsync();
        }
        
        public string obtieneFecha() {
            return base.Channel.obtieneFecha();
        }
        
        public System.Threading.Tasks.Task<string> obtieneFechaAsync() {
            return base.Channel.obtieneFechaAsync();
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.InvoiceOne.recuperaComprobanteXMLResponse FE_FX.InvoiceOne.TimbreCFDISoap.recuperaComprobanteXML(FE_FX.InvoiceOne.recuperaComprobanteXMLRequest request) {
            return base.Channel.recuperaComprobanteXML(request);
        }
        
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi recuperaComprobanteXML(string nombreUsuario, string contrasena, string xml, string referencia, System.Nullable<System.Guid> id_cliente) {
            FE_FX.InvoiceOne.recuperaComprobanteXMLRequest inValue = new FE_FX.InvoiceOne.recuperaComprobanteXMLRequest();
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.xml = xml;
            inValue.referencia = referencia;
            inValue.id_cliente = id_cliente;
            FE_FX.InvoiceOne.recuperaComprobanteXMLResponse retVal = ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).recuperaComprobanteXML(inValue);
            return retVal.recuperaComprobanteXMLResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.recuperaComprobanteXMLResponse> FE_FX.InvoiceOne.TimbreCFDISoap.recuperaComprobanteXMLAsync(FE_FX.InvoiceOne.recuperaComprobanteXMLRequest request) {
            return base.Channel.recuperaComprobanteXMLAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.recuperaComprobanteXMLResponse> recuperaComprobanteXMLAsync(string nombreUsuario, string contrasena, string xml, string referencia, System.Nullable<System.Guid> id_cliente) {
            FE_FX.InvoiceOne.recuperaComprobanteXMLRequest inValue = new FE_FX.InvoiceOne.recuperaComprobanteXMLRequest();
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.xml = xml;
            inValue.referencia = referencia;
            inValue.id_cliente = id_cliente;
            return ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).recuperaComprobanteXMLAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.InvoiceOne.obtenerCFDIconReferenciaResponse FE_FX.InvoiceOne.TimbreCFDISoap.obtenerCFDIconReferencia(FE_FX.InvoiceOne.obtenerCFDIconReferenciaRequest request) {
            return base.Channel.obtenerCFDIconReferencia(request);
        }
        
        public FE_FX.InvoiceOne.IOAcuseTimbradoCfdi obtenerCFDIconReferencia(string nombreUsuario, string contrasena, string xmlComprobante, string referencia, System.Nullable<System.Guid> id_cliente) {
            FE_FX.InvoiceOne.obtenerCFDIconReferenciaRequest inValue = new FE_FX.InvoiceOne.obtenerCFDIconReferenciaRequest();
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.xmlComprobante = xmlComprobante;
            inValue.referencia = referencia;
            inValue.id_cliente = id_cliente;
            FE_FX.InvoiceOne.obtenerCFDIconReferenciaResponse retVal = ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).obtenerCFDIconReferencia(inValue);
            return retVal.obtenerCFDIconReferenciaResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.obtenerCFDIconReferenciaResponse> FE_FX.InvoiceOne.TimbreCFDISoap.obtenerCFDIconReferenciaAsync(FE_FX.InvoiceOne.obtenerCFDIconReferenciaRequest request) {
            return base.Channel.obtenerCFDIconReferenciaAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.obtenerCFDIconReferenciaResponse> obtenerCFDIconReferenciaAsync(string nombreUsuario, string contrasena, string xmlComprobante, string referencia, System.Nullable<System.Guid> id_cliente) {
            FE_FX.InvoiceOne.obtenerCFDIconReferenciaRequest inValue = new FE_FX.InvoiceOne.obtenerCFDIconReferenciaRequest();
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.xmlComprobante = xmlComprobante;
            inValue.referencia = referencia;
            inValue.id_cliente = id_cliente;
            return ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).obtenerCFDIconReferenciaAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        FE_FX.InvoiceOne.obtenerInfoIntegradorResponse FE_FX.InvoiceOne.TimbreCFDISoap.obtenerInfoIntegrador(FE_FX.InvoiceOne.obtenerInfoIntegradorRequest request) {
            return base.Channel.obtenerInfoIntegrador(request);
        }
        
        public FE_FX.InvoiceOne.InfoIntegrador obtenerInfoIntegrador(string nombreUsuario, string contrasena, System.Nullable<System.Guid> Id_Cliente_Integrador) {
            FE_FX.InvoiceOne.obtenerInfoIntegradorRequest inValue = new FE_FX.InvoiceOne.obtenerInfoIntegradorRequest();
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.Id_Cliente_Integrador = Id_Cliente_Integrador;
            FE_FX.InvoiceOne.obtenerInfoIntegradorResponse retVal = ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).obtenerInfoIntegrador(inValue);
            return retVal.obtenerInfoIntegradorResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<FE_FX.InvoiceOne.obtenerInfoIntegradorResponse> FE_FX.InvoiceOne.TimbreCFDISoap.obtenerInfoIntegradorAsync(FE_FX.InvoiceOne.obtenerInfoIntegradorRequest request) {
            return base.Channel.obtenerInfoIntegradorAsync(request);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.obtenerInfoIntegradorResponse> obtenerInfoIntegradorAsync(string nombreUsuario, string contrasena, System.Nullable<System.Guid> Id_Cliente_Integrador) {
            FE_FX.InvoiceOne.obtenerInfoIntegradorRequest inValue = new FE_FX.InvoiceOne.obtenerInfoIntegradorRequest();
            inValue.nombreUsuario = nombreUsuario;
            inValue.contrasena = contrasena;
            inValue.Id_Cliente_Integrador = Id_Cliente_Integrador;
            return ((FE_FX.InvoiceOne.TimbreCFDISoap)(this)).obtenerInfoIntegradorAsync(inValue);
        }
        
        public FE_FX.InvoiceOne.IOAcuseCancelacion cancelaSAT(string usuario, string contrasena, string xmlPeticionSAT) {
            return base.Channel.cancelaSAT(usuario, contrasena, xmlPeticionSAT);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.IOAcuseCancelacion> cancelaSATAsync(string usuario, string contrasena, string xmlPeticionSAT) {
            return base.Channel.cancelaSATAsync(usuario, contrasena, xmlPeticionSAT);
        }
        
        public FE_FX.InvoiceOne.IOAcuseCancelacion cancelaSATPruebas(string usuario, string contrasena, string xmlPeticionSAT) {
            return base.Channel.cancelaSATPruebas(usuario, contrasena, xmlPeticionSAT);
        }
        
        public System.Threading.Tasks.Task<FE_FX.InvoiceOne.IOAcuseCancelacion> cancelaSATPruebasAsync(string usuario, string contrasena, string xmlPeticionSAT) {
            return base.Channel.cancelaSATPruebasAsync(usuario, contrasena, xmlPeticionSAT);
        }
    }
}
